- Development Integration
- /
- SDK
- /
- Python
- /
Authentication Module
- /
User Related Resources
- /
- Get Authorized Resource List
¶ Get the list of authorized resources
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
This interface is used to obtain the list of resources authorized by the user.
¶ Method name
AuthenticationClient.get_authorized_resources
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| namespace | string | No | - | Code of the permission group (permission space). If not passed, the default permission group will be obtained. | default |
| resourceType | string | No | - | Resource type, such as data, API, menu, button |
¶ Request response
Type: AuthorizedResourcePaginatedRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful, 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | AuthorizedResourcePagingDto | Response data |
Sample result:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"list": {
"resourceCode": "ecs:1",
"description": "Server",
"condition": {
"param": "AppId",
"operator": "StringEquals",
"value": "1"
},
"resourceType": "API",
"apiIdentifier": "/api/v1/example",
"actions": "[\"ecs:Start\",\"ecs:Stop\"]",
"effect": "ALLOW"
}
}
}
¶ Data structure
¶ AuthorizedResourcePagingDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| totalCount | number | Yes | Total number of records | |
| list | array | Yes | Response data Nested type: AuthorizedResourceDto. |
¶ AuthorizedResourceDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| resourceCode | string | Yes | Resource descriptor | ecs:1 |
| description | string | No | Resource description information | Server |
| condition | array | No | Policy Condition Nested type: PolicyCondition. | |
| resourceType | string | yes | Resource type | DATA |
| apiIdentifier | string | yes | API URL | /api/v1/example |
| actions | array | yes | List of authorized actions | ["ecs:Start","ecs:Stop"] |
| effect | string | yes | Allow or deny | ALLOW |
¶ PolicyCondition
| Name | Type | Is it required? | Description | Example value |
|---|---|---|---|---|
| param | string | yes | Condition Param | UserPoolId |
| operator | string | yes | Condition Operator | Bool |
| value | string | yes | Condition Value | 1 |
